Bug 1394040 - Provider Refresh Status: unknown attribute '_object' for MiddlewareServerGroup
Summary: Provider Refresh Status: unknown attribute '_object' for MiddlewareServerGroup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard: hawkular
Depends On:
Blocks: 1449408
TreeView+ depends on / blocked
 
Reported: 2016-11-10 21:15 UTC by Matt Mahoney
Modified: 2018-07-25 15:58 UTC (History)
11 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1449408 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:40:26 UTC
Category: ---
Cloudforms Team: Middleware
Target Upstream Version:


Attachments (Terms of Use)
evm.log (4.41 MB, application/zip)
2016-11-10 21:15 UTC, Matt Mahoney
no flags Details
hs.log (849.12 KB, text/plain)
2016-11-10 21:16 UTC, Matt Mahoney
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Matt Mahoney 2016-11-10 21:15:54 UTC
Created attachment 1219548 [details]
evm.log

Description of problem:
Middleware provider Refresh Status became "unknown attribute '_object' for MiddlewareServerGroup". Not sure exactly when the Refresh status changed form Success to the said message, but may have been when attempting to ad a 2nd EAP Domain server. 

This happened with CFME and HS/C* running in containers on Fedora.


Version-Release number of selected component (if applicable):
DR8

How reproducible:


Steps to Reproduce:
1. Start Hawkular Services and C* as containers on Fedora
2. Inventory HS, and ensure Refresh Status is Success
3. Add a couple of EAP Domain servers, under MW management

Actual results:
Refresh Error.

Expected results:
Refresh Status should remain Success.

Additional info:

Comment 2 Matt Mahoney 2016-11-10 21:16:27 UTC
Created attachment 1219549 [details]
hs.log

Comment 3 Heiko W. Rupp 2016-11-15 07:20:30 UTC
Jirka, can you please have a look?

Comment 4 Ruben Vargas Palma 2016-11-16 15:50:07 UTC
Hi, Matt

The step 3 is not very clear to me , are you running one Domain Controller and more Host Controllers? or are you running multiple DCs with the same domain name and the agent installed on them? 

I understand this last case is not supported.

Comment 10 Jirka Kremser 2017-01-04 14:22:16 UTC
https://github.com/ManageIQ/manageiq/pull/13347

Comment 11 Alissa 2017-04-09 15:21:10 UTC
the solution seems to be merged. if indeed so, please change the status to POST

Comment 15 errata-xmlrpc 2017-05-31 14:40:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.